body{
  font-family: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji"/*'Roboto', sans-serif*/;
  margin-top: 40px;
  margin-bottom: 40px;
}

h1{
  font-weight: 500;
}

a{
  text-decoration: none;
  color: #000;
}

a:hover{
  text-decoration: underline;
  color: #0d6efd;
}

/* Login */
.login{
  margin: auto;
  max-width: 420px;
  min-width: 200px;
  width: 100%;
  margin-top: 80px;
}

.portal-brand{
  text-align: center;
  margin-bottom: 40px;
}

.portal-brand-sub{
  font-weight: 400;
  color: #6c757d;
}

.portal-brand-link:hover{
  text-decoration: none;
  color: #000;
}

.portal-end{
  text-align: center;
}


.login-email-input{
  font-size: 1rem;
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-bottom: 20px;
  padding: 8px 16px 8px 16px;
}

.login-password-input{
  font-size: 1rem;
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-bottom: 20px;
  padding: 8px 16px 8px 16px;
}

.login-submit{
  width: 100%;
  background-color: #3d8bfd;
  color: #fff;
  padding: 8px 16px;
  margin: 8px 0;
  border: 1.8px solid;
  border-color: #3d8bfd;
  border-radius: 4px;
  font-size: 1.25rem;
  font-weight: 400;
  cursor: pointer;
}

.login-submit:hover{
  background-color: #fff;
  color: #3d8bfd;
  border: 1.8px solid;
  border-color: #3d8bfd;
}

/* Signup */
.signup{
  margin: auto;
  max-width: 420px;
  min-width: 200px;
  width: 100%;
  margin-top: 80px;
}

.signup-email-input{
  font-size: 1rem;
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-bottom: 20px;
  padding: 8px 16px 8px 16px;
}

.signup-firstname-input{
  font-size: 1rem;
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-bottom: 20px;
  padding: 8px 16px 8px 16px;
}

.signup-lastname-input{
  font-size: 1rem;
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-bottom: 20px;
  padding: 8px 16px 8px 16px;
}

.signup-password-input{
  font-size: 1rem;
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-bottom: 20px;
  padding: 8px 16px 8px 16px;
}

.signup-submit{
  width: 100%;
  background-color: #3d8bfd;
  color: #fff;
  padding: 8px 16px;
  margin: 8px 0;
  border: 1.8px solid;
  border-color: #3d8bfd;
  border-radius: 4px;
  font-size: 1.25rem;
  font-weight: 400;
  cursor: pointer;
}

.signup-submit:hover{
  background-color: #fff;
  color: #3d8bfd;
  border: 1.8px solid;
  border-color: #3d8bfd;
}

.portal-footer {
  color: #6c757d;
  margin-top: 80px;
  text-align: center;
}

.portal-footer-credits{
  color: #6c757d;
}

/* Alerts */

.alert{
  position: relative;
  padding: 1rem 1rem;
  margin-bottom: 1rem;
  border: 1px solid transparent;
  border-radius: .25rem;
}

.alert-warning{
  color: #664d03;
  background-color: #fff3cd;
  border-color: #ffecb5;
}

.alert-danger {
    color: #842029;
    background-color: #f8d7da;
    border-color: #f5c2c7;
}

.alert-success {
    color: #0f5132;
    background-color: #d1e7dd;
    border-color: #badbcc;
}

.alert-primary {
    color: #084298;
    background-color: #cfe2ff;
    border-color: #b6d4fe;
}

.alert-info {
    color: #055160;
    background-color: #cff4fc;
    border-color: #b6effb;
}

/* Feed form */
.newentry{
  margin: auto;
  max-width: 420px;
  min-width: 200px;
  width: 100%;
  margin-top: 80px;
}

.newentry-content-input{
  font-size: 1rem;
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-bottom: 20px;
  padding: 8px 8px 8px 8px;
  height: 100px;
  resize: none;
  font-family: system-ui,-apple-system,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans","Liberation Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji"/*'Roboto', sans-serif*/;
}

.newentry-submit{
  width: 100%;
  background-color: #3d8bfd;
  color: #fff;
  padding: 8px 16px;
  margin: 8px 0;
  border: 1.8px solid;
  border-color: #3d8bfd;
  border-radius: 4px;
  font-size: 1.25rem;
  font-weight: 400;
  cursor: pointer;
}

.newentry-submit:hover{
  background-color: #fff;
  color: #3d8bfd;
  border: 1.8px solid;
  border-color: #3d8bfd;
}

.newentry-form-identity{
  margin-bottom: 0px;
}

.newentry-form-intro{
  display: inline;
}

.newentry-form-name{
  font-weight: 600;
  display: inline;
}

.card{
  position: relative;
  display: flex;
  flex-direction: column;
  min-width: 0;
  word-wrap: break-word;
  background-color: #fff;
  background-clip: border-box;
  border: 1px solid rgba(0,0,0,.125) !important;
  border-radius: .25rem;
}

.card-body {
    flex: 1 1 auto;
    padding: 1rem 1rem;
}

.card-title {
  font-size: 1.1rem;
  font-weight: 500;
  margin-bottom: .5rem;
}

.text-muted {
  margin-top: 10px;
    color: #6c757d!important;
    display: block;
}

.logout-div{
  margin-bottom: 3rem;
}
